Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155128 - 'krb5' segfaults
Summary: 'krb5' segfaults
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-online-accounts
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-16 18:23 UTC by Enrico Scholz
Modified: 2013-01-07 16:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 00:08:55 UTC


Attachments (Terms of Use)

Description Enrico Scholz 2005-04-16 18:23:53 UTC
Description of problem:

| $ krb5   -->  exit immediatly
| ...
| *** glibc detected *** krb5: free(): invalid pointer: 0x448637f0 ***
| ======= Backtrace: =========
| /lib/libc.so.6[0x43793f94]
| /lib/libc.so.6(__libc_free+0x77)[0x437944cf]
| /lib/libcom_err.so.2(remove_error_table+0x4b)[0x447c2a7b]
| /usr/lib/libkrb5.so.3[0x44801823]
| /usr/lib/libkrb5.so.3[0x448015c7]
| /usr/lib/libkrb5.so.3[0x448523ba]
| /lib/ld-linux.so.2[0x43721d2b]
| /lib/libc.so.6(exit+0xc5)[0x4375bd39]
| /lib/libc.so.6(__libc_start_main+0xce)[0x43745dee]
| krb5[0x8049fc1]
| ======= Memory map: ========
| 08048000-0804d000 r-xp 00000000 fe:00 1083893    /usr/bin/krb5
| 0804d000-0804f000 rw-p 00004000 fe:00 1083893    /usr/bin/krb5
| 0804f000-081d2000 rw-p 0804f000 00:00 0 
| 43714000-4372d000 r-xp 00000000 08:01 54222      /lib/ld-2.3.4.so
| 4372d000-4372e000 r--p 00018000 08:01 54222      /lib/ld-2.3.4.so
| 4372e000-4372f000 rw-p 00019000 08:01 54222      /lib/ld-2.3.4.so
| 43731000-43853000 r-xp 00000000 08:01 54223      /lib/libc-2.3.4.so
| 43853000-43855000 r--p 00121000 08:01 54223      /lib/libc-2.3.4.so
| 43855000-43857000 rw-p 00123000 08:01 54223      /lib/libc-2.3.4.so
| 43857000-43859000 rw-p 43857000 00:00 0 
| 4385b000-4387c000 r-xp 00000000 08:01 54224      /lib/libm-2.3.4.so
| 4387c000-4387d000 r--p 00020000 08:01 54224      /lib/libm-2.3.4.so
| 4387d000-4387e000 rw-p 00021000 08:01 54224      /lib/libm-2.3.4.so
| 43880000-43882000 r-xp 00000000 08:01 54225      /lib/libdl-2.3.4.so
| 43882000-43883000 r--p 00001000 08:01 54225      /lib/libdl-2.3.4.so
| 43883000-43884000 rw-p 00002000 08:01 54225      /lib/libdl-2.3.4.so
| 43886000-43897000 r-xp 00000000 fe:00 665987     /usr/lib/libz.so.1.2.2.2
| 43897000-43898000 rw-p 00010000 fe:00 665987     /usr/lib/libz.so.1.2.2.2
| 4389a000-438a7000 r-xp 00000000 08:01 54299      /lib/libpthread-2.3.4.so
| 438a7000-438a8000 r--p 0000d000 08:01 54299      /lib/libpthread-2.3.4.so
| 438a8000-438a9000 rw-p 0000e000 08:01 54299      /lib/libpthread-2.3.4.so
| 438a9000-438ab000 rw-p 438a9000 00:00 0 
| 43983000-439a0000 r-xp 00000000 fe:00 665989     /usr/lib/libexpat.so.0.5.0
| 439a0000-439a2000 rw-p 0001c000 fe:00 665989     /usr/lib/libexpat.so.0.5.0
| 439a4000-43a05000 r-xp 00000000 fe:00 665988     /usr/lib/libfreetype.so.6.3.7
| 43a05000-43a0c000 rw-p 00061000 fe:00 665988     /usr/lib/libfreetype.so.6.3.7
| 43a0e000-43a31000 r-xp 00000000 fe:00 665991     /usr/lib/libfontconfig.so.1.0.4
| 43a31000-43a34000 rw-p 00022000 fe:00 665991     /usr/lib/libfontconfig.so.1.0.4
| 43a34000-43a35000 rw-p 43a34000 00:00 0 
| 43a9b000-43aaa000 r-xp 00000000 08:01 54227      /lib/libresolv-2.3.4.so
| 43aaa000-43aab000 r--p 0000e000 08:01 54227      /lib/libresolv-2.3.4.so
| 43aab000-43aac000 rw-p 0000f000 08:01 54227      /lib/libresolv-2.3.4.so
| 43aac000-43aae000 rw-p 43aac000 00:00 0 
| 43b8e000-43bac000 r-xp 00000000 fe:00 666023     /usr/lib/libjpeg.so.62.0.0
| 43bac000-43bad000 rw-p 0001d000 fe:00 666023     /usr/lib/libjpeg.so.62.0.0
| 43baf000-43c28000 r-xp 00000000 fe:00 665983     /usr/lib/libglib-2.0.so.0.600.3
| 43c28000-43c2d000 rw-p 00079000 fe:00 665983     /usr/lib/libglib-2.0.so.0.600.3
| 43c2f000-43c31000 r-xp 00000000 fe:00 658184     /usr/lib/libgmodule-2.0.so.0.600.3
| 43c31000-43c32000 rw-p 00002000 fe:00 658184     /usr/lib/libgmodule-2.0.so.0.600.3
| 43c34000-43c49000 r-xp 00000000 fe:00 658153     /usr/lib/libart_lgpl_2.so.2.3.17
| 43c49000-43c4a000 rw-p 00014000 fe:00 658153     /usr/lib/libart_lgpl_2.so.2.3.17
| 43c4c000-43c7e000 r-xp 00000000 fe:00 665984     /usr/lib/libgobject-2.0.so.0.600.3
| 43c7e000-43c82000 rw-p 00031000 fe:00 665984     /usr/lib/libgobject-2.0.so.0.600.3
| 43cb4000-43ce4000 r-xp 00000000 fe:00 665992     /usr/lib/libpango-1.0.so.0.800.1
| 43ce4000-43cea000 rw-p 00030000 fe:00 665992     /usr/lib/libpango-1.0.so.0.800.1
| 43cec000-43d0f000 r-xp 00000000 fe:00 665993     /usr/lib/libpangoft2-1.0.so.0.800.1
| 43d0f000-43d11000 rw-p 00022000 fe:00 665993     /usr/lib/libpangoft2-1.0.so.0.800.1
| 43d13000-43d16000 r-xp 00000000 fe:00 666033     /usr/lib/libORBitCosNaming-2.so.0.0.0
| 43d16000-43d17000 rw-p 00003000 fe:00 666033     /usr/lib/libORBitCosNaming-2.so.0.0.0
| 43d19000-43d1e000 r-xp 00000000 fe:00 665994     /usr/lib/libpangoxft-1.0.so.0.800.1
| 43d1e000-43d1f000 rw-p 00005000 fe:00 665994     /usr/lib/libpangoxft-1.0.so.0.800.1
| 43d21000-43fa1000 r-xp 00000000 fe:00 666000     /usr/lib/libgtk-x11-2.0.so.0.600.4
| 43fa1000-43fc9000 rAborted


Version-Release number of selected component (if applicable):

gnome-kerberos-0.3.3-1
glibc-2.3.4-21
krb5-libs-1.4-3


How reproducible:

100%


Additional info:

there is krb5 available on this machine and it does not matter whether
a ticket exists already or not.

Comment 1 Bug Zapper 2008-04-03 16:06:03 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 2 Bug Zapper 2008-05-07 00:08:54 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Comment 3 Ray Strode [halfline] 2013-01-07 16:45:30 UTC
(moving legacy bugs off gnome-kerberos component so component can be expunged)


Note You need to log in before you can comment on or make changes to this bug.